/***************************************************************************/
/* NOTE:                                                                   */
/* This document is copyright (c) by Oz Solomonovich.  All non-commercial  */
/* use is allowed, as long as this document is not altered in any way, and */
/* due credit is given.                                                    */
/***************************************************************************/

#ifndef __PARSER_H
#define __PARSER_H

struct file_info
{
    WWhizFile * pWWFile;
    CString     sName;
    CString     sPath;
    int         lines;
    int         commentlines;
    int         codelines;
    int         mixedlines;
    int         blanklines;
};

struct proj_stats
{
    ~proj_stats() { delete [] pfi; }
    file_info *                      pfi;
    int                              iCount;
    CMap<CString, LPCTSTR, int, int> mapExtCount;
};

proj_stats *CountLines(WWhizInterface* pWWI);

#endif // __PARSER_H
