/***************************************************************************/
/* NOTE:                                                                   */
/* This document is copyright (c) by Oz Solomonovich.  All non-commercial  */
/* use is allowed, as long as this document is not altered in any way, and */
/* due credit is given.                                                    */
/***************************************************************************/

// ResultsDlg.h : header file
//

#if !defined(AFX_RESULTSDLG_H__23E5E9B1_C14F_11D3_BA8F_0000861DFCE7__INCLUDED_)
#define AFX_RESULTSDLG_H__23E5E9B1_C14F_11D3_BA8F_0000861DFCE7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CResultsDlg dialog

struct file_info;
struct proj_stats;

class CResultsDlg : public CHHDialog
{
public:

// Construction
public:
	void SetPair(int idc, int idp, int count, int tot);
	CResultsDlg(proj_stats *pStats, WWhizInterface *pWWI, CWnd* pParent = NULL);

// Dialog Data
	//{{AFX_DATA(CResultsDlg)
	enum { IDD = IDD_RESULTS };
	CListCtrl	m_ListCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CResultsDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
    CString NumStr(int num);
	void SetNum(int id, int num, TCHAR suffix = '\0');
    void AddRow(file_info& fi);

    static int CALLBACK CompareFunc(LPARAM lParam1, LPARAM lParam2, 
        LPARAM lParamSort);

	// Generated message map functions
	//{{AFX_MSG(CResultsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnColumnclickResultlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnExport();
	afx_msg void OnFilesummary();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

    proj_stats *    m_pStats;
    file_info *     m_pfi;
    int             m_iLastSort;
    WWhizInterface *m_pWWI;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RESULTSDLG_H__23E5E9B1_C14F_11D3_BA8F_0000861DFCE7__INCLUDED_)
